Two Worlds: Epic Edition

Two Worlds: Epic Edition

Mikawo Nov 22, 2012 @ 2:30am
Game doesn't start (Win7 64-bit)
I have Win7 64-bit with a GTX 580. When I try to run this game, it just crashes. I tried setting compatibility mode to both Vista and then XP but no luck. I read that some people have had PhysX issues, but PhysX is already up to date on my computer. All of my other drivers are up to date.

If anyone has had this issue and was able to resolve it, I'd like to know how. Thanks.
< >
Showing 1-15 of 45 comments
Papzt Nov 22, 2012 @ 9:03am 
Installed today. Win 7 Pro 64bit and no problems
aDewil Nov 22, 2012 @ 9:34am 
try restart windows.
ppTakashi Nov 22, 2012 @ 11:07am 
Same here. Works great on a Windows 7 x64 Computer.
Archibald Schlick Nov 22, 2012 @ 11:23am 
A little bit sad, but works for me: I deinstall the Nvidia Physx driver and install the one in the game directory '/installers'. So you can not use newer versions, but play the game. :/
Archibald Schlick Nov 22, 2012 @ 11:45am 
Just tested to install a newer driver, after installing the one out of the two worlds directory. I used the newest from Nvidia an now everything works with the newest. So you have to deinstall the actual driver, install the one the game brings and update then with the newest one from Nvidia. Works for me under Win 7 x64.
Mikawo Nov 22, 2012 @ 2:41pm 
Originally posted by Archibald Schlick:
So you have to deinstall the actual driver, install the one the game brings and update then with the newest one from Nvidia. Works for me under Win 7 x64.
I tried uninstalling the driver and then reinstalling, but it would still crash. Then I remembered that I was using beta drivers. I tried the latest stable drivers and that solved the problem. I didn't have to install the version in the TWEE installers directory.

So, I guess the problem was that the beta drivers were not compatible or maybe it was because those drivers aren't signed.

Thanks for the help!
Nivrelin Nov 24, 2012 @ 3:06am 
For me, it only worked with the CommandLineParameter "-SafemodeExecutionparameter". Maybe you should try this if nothing else works.
Orlandogloom Nov 24, 2012 @ 8:00pm 
yes you need the specific drivers to play the game, but i dont know about the whole updating it, as i dont use nividad drivers, so i just use the games ones
Leozander Mar 15, 2013 @ 3:02pm 
Hey, i got a 7050 nivida graphics card can i handle?
catraoul Mar 31, 2013 @ 4:00pm 
I have the CD version 1.0 since a long time, had the same issues trying to install it but this worked for me : install the game, uninstall nvidia physx drivers, then install the specific nvidia Physx LEGACY system software which seems to use the latest driver while offering support for the earliest games. Download here : http://www.nvidia.fr/object/physx-9.12.1031-legacy-driver-fr.html
@Leozander : I'm afraid your 7050 may be too light to really enjoy this game, though old it can be pretty demanding in ressources...
Ears14U May 26, 2013 @ 11:22am 
I purchased this title from Amazon downloads and ran into the same problem (probably) that you guy's are. Here's what I found...The Nvidia Physics driver is probably the newer version which this game doesn't run with. Use a good uninstaller, and go in and uninstall the Nvidia Physics program. Then go to this site link and download this version and install it. You shouldn't have any problems any longer.......http://www.nvidia.com/object/physx-9.12.0613-driver.html This version is Version: 9.12.0613 and does work with Two Worlds epic edition. Sorry...I'm running a Windows 7 64bit machine if that's helpful at all....lol...
bryonhowley May 26, 2013 @ 4:45pm 
I am using the Physx drivers that come with the latest 320.18 Nvidia drivers and no problems with Two Words or any other game for that matter. I have always kept all my drivers uptodate with the latest release versions.
Ears14U May 27, 2013 @ 6:56pm 
So what do you want us to do bryonhowley? Flip you a fish? These posts are for people that ARE having problems, not someone coming here to blow your own horn....wow.....And that's not being smart, that's being quite honest.
Siddha Jun 3, 2013 @ 4:56pm 
I had a problem with Two Worlds not starting after I updated my PhysX drivers.

TW1 won't operate on the newer PhysX drivers. I solved the problem by downloading "legacy" drivers from Nvidia. They're intended to allow you to run games designed with the older PhysX drivers without overwriting the newer ones.

You can find them here;
http://www.nvidia.com/object/physx-9...cy-driver.html
Mikawo Jun 3, 2013 @ 8:33pm 
Originally posted by Siddha:
I had a problem with Two Worlds not starting after I updated my PhysX drivers.

TW1 won't operate on the newer PhysX drivers. I solved the problem by downloading "legacy" drivers from Nvidia. They're intended to allow you to run games designed with the older PhysX drivers without overwriting the newer ones.

You can find them here;
http://www.nvidia.com/object/physx-9...cy-driver.html

Same here. After updating to the latest drivers, Two Worlds no longer worked. Found the legacy PhysX drivers and installed as suggested by Siddha. Now the game is working!

The link is broken because it was shortened. Working link: http://www.nvidia.com/object/physx-9.12.1031-legacy-driver.html

Apparently, it co-exists with the latest PhysX drivers, so install once and should work with any older PhysX games without compromising PhysX in newer games.
< >
Showing 1-15 of 45 comments
Per page: 15 30 50

Date Posted: Nov 22, 2012 @ 2:30am
Posts: 45